.TH GPIV_SERIES 1 "19 Januari 2005"
.SH NAME
gpiv_series \- Script for (parallel) processing a series of numbered files.

.SH SYNOPSIS
\fBgpiv_series\fP 
[\fB-a\fR | \fB-\-arg_n\fR]
[\fB-b\fR | \fB-\-basename \fIFILE\fR] 
[\fB-e\fR | \fB-\-ext\fR \fIext\fR] 
[\fB-f\fR | \fB-\-first \fIN\fR]
[\fB-l\fR | \fB-\-last \fIN\fR]
[\fB-i\fR | \fB-\-incr \fIN\fR]
[\fB-x\fR|| \fB-\-prefix\fR]
[\fB-h\fR | \fB-\-help\fR] 
[\fB-n\fR | \fB-\-none\fR] 
[\fB-p\fR | \fB-\-print\fR] 
[\fB-\-pad\fR] 
\fB"\fR\fIprocess\fR \-key1 ...\fB"\fR
.SH DESCRIPTION

\fBgpiv_series\fP processes a series of numbered files. If no
parameters are defined at the command line, standard parameters will
be used that are defined in the script. Principally, any program or
script may be invoked by \fBgpiv_series\fP. "\fIProcess\fR" is a
string which represents the name of the program or script to be
executed, including the required string "\fIFNAME\fR" and eventually
command line options and arguments. The filename to be constructed from
\fB-b\fR, \fB-f\fR, \fB-i\fR and \fB-l\fR, will substitute all occurrences of
"\fIFNAME\fR" in the "\fIprocess\fR" string. Also, all occurrences of \fINR\fR
will be substituted by the current number and \fIEXT\fR by the file extension.

When using the parallelised version, mpipython is invoked and the script
may be launched with mpirun. The script needs that all input files 
are accessible on each node by copying all data or by (NFS) mounting 
the File System containing the input data on each node.

This program does not use the parameter resources from libgpiv.

.SH Options 
.TP
\fB-a\fR | \fB--arg_n\fR
Ignore composing of the numbered filename. The process may use the current 
number in its argument list using \fINR\fR. \fIFNAME\fR will be substituted 
by the file basename in the "\fR\fIprocess\fR"
string.

.TP
\fB-b\fR | \fB-\-basename\fR \fIFILE\fR
The \fIFILE\fR has to be given without its extension. \fIFILE\fR represents
the filename without its number. It is supposed that the leading or ending
number in the filename is the counter that will be applied by 
\fBgpiv_series\fR when processing.

.TP
\fB-e\fR | \fB-\-ext\fR \fIEXT\fR
add an extension \fIEXT\fR after the filename (without the leading ".") in
"\fIprocess\fR". This value will also substitute all occurences of \fIEXT\fR
in the "\fR\fIprocess\fR" string.

.TP
\fB-f\fR | \fB-\-first\fR \fIN\fR
Defines the counter \fIN\fR of the number at which the analyses
starts.  Default: 0.

.TP
\fB-l\fR | \fB-\-last\fR \fIN\fR
The last number \fIN\fR that will be processed. Default: 0.

.TP
\fB-i\fR | \fB-\-incr\fR \fIN\fR
Increment number with \fIN\fR. Default: 1. This might be usefull,
for example, if subsequent numbered images are combined for
cross-correlation with the \fBgpiv_combing\fR tool.

.TP
\fB-x\fR | \fB-\-prefix\fR
Use prefix numbering to file basename.

.TP
\fB-h\fR | \fB-\-help\fR \fP
On-line help.

.TP
\fB-n\fR | \fB-\-none\fR \fP
Suppresses real execution, only prints the process to stdout.

.TP
\fB-p\fR | \fB-\-print\fR \fP
Prints the process to be performed on each file to stdout.

.TP
\fB-\-pad\fR  \fIN\fR
Padding a number with \fIN\fR zero's when combining with the filename.

.TP
.SH SEE ALSO
gpivtools

.SH NOTES

.SH AUTHOR
Gerber Van der Graaf

.SH BUGS
The parallelised script has only been tested with the LAM version of mpipython.
